<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__diss__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_diss_t</compoundname>
    <includes local="no">cy_ble_dis.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__diss__t_1a363c1a73f740ccfa83f2c6f03b5f2883" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_diss_t::serviceHandle</definition>
        <argsstring />
        <name>serviceHandle</name>
        <briefdescription>
<para>Device Information Service Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_dis.h" bodystart="56" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_dis.h" line="56" />
      </memberdef>
      <memberdef id="structcy__stc__ble__diss__t_1aa9b1a745dbb4207cdd309f6200081afb" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_diss_t::charHandle[CY_BLE_DIS_CHAR_COUNT]</definition>
        <argsstring>[CY_BLE_DIS_CHAR_COUNT]</argsstring>
        <name>charHandle</name>
        <briefdescription>
<para>Device Information Service Characteristic handles. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_dis.h" bodystart="59" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_dis.h" line="59" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure with Device Information Service attribute handles. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="60" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_dis.h" bodystart="53" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_dis.h" line="54" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__diss__t_1aa9b1a745dbb4207cdd309f6200081afb" virt="non-virtual"><scope>cy_stc_ble_diss_t</scope><name>charHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__diss__t_1a363c1a73f740ccfa83f2c6f03b5f2883" virt="non-virtual"><scope>cy_stc_ble_diss_t</scope><name>serviceHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>